API de consumidor
This request is used by the D1 backend to request the details of an end user (consumer) from the issuer backend.
If the end user information is associated with the card, it is possible to activate "cardId" query parameter via an onboarding flag.
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the consumer.
^[A-Za-z0-9_-]{1,64}$Unique identifier of the card.
cardId=crd_h2otddwm5uwujlye3qyxmjkphaPattern: ^[A-Za-z0-9_-]{1,48}$Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.
^[A-Za-z0-9_-]{1,64}$All needed information related to the requested end user (consumer).
The following objects represent the personal information of the end user (consumer).
Language of the end user (consumer). Based on ISO format for language (ISO 639–1) and an alpha-2 country code (ISO 3166–1 alpha-2). The language must be lowercase, and the country must be uppercase ideally. The language and country should be separated using a minus character "-".
Note: This field is mandatory for Click to Pay.
en-USPattern: ^[a-z]{2}-[a-zA-Z]{2}$First name of the end user (consumer).
Note: This field is mandatory for Click to Pay.
JohnPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$Middle name of the end user (consumer).
JohnPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$Last name of the end user (consumer).
Note: This field is mandatory for Click to Pay.
SmithPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$Date of Birth.
1990-01-25Pattern: ^\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[0-1])$Title of the end user (consumer).
Mr.Pattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,40}$Email of the end user (consumer).
Note: This field is mandatory for Click to Pay (Mastercard).
john.smith@dummymail.comPattern: ^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,15}$Forbidden (Invalid state)
End user (consumer) was not found
Internal server error
GET /banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}?cardId=<cardId> HTTP/1.1
Host: YOUR_DOMAIN_NAME
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"language": "en-US",
"firstName": "John",
"middleName": "John",
"lastName": "Smith",
"dateOfBirth": "1990-01-25",
"title": "Mr.",
"email": "john.smith@dummymail.com",
"mobilePhoneNumber": {
"countryCode": "+420",
"phoneNumber": "777222333"
},
"residencyAddress": {
"line1": "Street#1",
"line2": "Street #2",
"city": "Prague",
"state": "CZ",
"zipCode": "140 00",
"countryCode": "CZ"
}
}This request is used by D1 during the tokenization or post tokenization flow for a card in case it is required to send an authentication step-up method to the end user (consumer) "consumerId".
The parameter 'threeDSDetails' is available in the scenario :
3DS Authentication
Note
This is applicable only if the issuer decides to rely on its own messaging system to send messages to their customers and not on the D1 platform.
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Unique identifier of the consumer.
^[A-Za-z0-9_-]{1,64}$Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.
^[A-Za-z0-9_-]{1,64}$The channel on which the end user has decided to receive the OTP.
Last 4 digits of the PAN of the card to be tokenized (digitized)
No Content
Sin contenido
Bad request
Authorization missing or invalid
Action forbidden
Resource not found
Internal Server Error
POST /banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}/otp HTTP/1.1
Host: YOUR_DOMAIN_NAME
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 457
{
"otp": {
"value": "text",
"expirationDate": "text",
"reason": "CARD-DIGITIZATION"
},
"deliveryChannel": "SMS",
"digitalCardRequestor": {
"id": "text",
"walletId": "text",
"name": "text",
"tspId": "text",
"originalDigitalCardRequestorId": "text"
},
"deviceInformation": {
"digitalCardStorageType": "text",
"phoneNumber": "text",
"deviceName": "text"
},
"panSuffix": "text",
"threeDSDetails": {
"acsTransactionId": "text",
"purchase": {
"merchantName": "text",
"amount": "text",
"currencyCode": "text"
}
}
}Sin contenido
Última actualización
¿Te fue útil?